View Issue Details

IDProjectCategoryView StatusLast Update
0021121mantisbtuipublic2016-10-05 11:53
ReporteratrolAssigned Tosyncguru 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version2.0.0-beta.3Fixed in Version2.0.0-beta.3 
Summary0021121: Project selection not usable with large number of projects
Description

The old project selection offered scrolling of the project list.
This is no longer available with current implementation, thus you can select just the first projects from the list.

Depending on screen resolution, the problem starts when having about 30 projects.

Consider also that we don't offer any longer the extended project browser, so I expect a lot of users to be affected.

Tagsmodern-ui

Relationships

has duplicate 0021574 closedatrol Project Dropdown Menu longer than screen 
has duplicate 0021641 closedatrol Scroll bar missing 
has duplicate 0021767 closedatrol Project Selection Mantis 2.0 Layout 
related to 0021756 new Confusing scrolling due to multiple scrollbars in main menu 

Activities

cproensa

cproensa

2016-07-28 14:32

developer   ~0053721

Additionally:

  • To show the current project, a filled cirlce is used. This is not visible enough, for a big list of projects i cant quickly identify the selected project

  • For N levels of sub-projects, some circles are filled inconsistently (see attached image)


Selección_029.png (36,927 bytes)
Selección_029.png (36,927 bytes)
syncguru

syncguru

2016-08-13 12:17

developer   ~0053780

@cproensa - I am under the impression that we are retiring sub-projects feature, no?
The circle issue you pointed out to for sub-projects should be fixed. I am not quite sure what is a better replacement for project selector. I am open to ideas.

cproensa

cproensa

2016-08-13 13:05

developer   ~0053782

I am under the impression that we are retiring sub-projects feature, no?

That was proposed by Victor but has not been discussed thoroughly. IMO, about that proposal, is that subprojects as they exist now are a basic functionality on which many users rely.
Anyway, it's not a short term change, so current UI should keep supporting it for the time being.

The circle issue you pointed out to for sub-projects should be fixed.

If you think of the circle as an "expanded" indicator for a project folder, that may make more sense as a visual indicator of which tree path is selected.
Probably the circle icos is misleading, as it seems to indicate a puntual selection (like radio buttons)

I am not quite sure what is a better replacement for project selector. I am open to ideas.

The standard HTML selector does a good enough work, (but it does not support fancy graphics though). If going with a custom control, it should reflect most of the standard functionality of the standard.
For the issue of visibility, a standard HTML selector would show the selected item with a highlighted background. That is a very effective way to improve visibility.
And once scrolling is implemented, make sure that the list is positioned to have the selected row in screen when first expanded.

dregad

dregad

2016-08-13 18:19

developer   ~0053786

I am under the impression that we are retiring sub-projects feature, no?

Flawed as they may be, subprojects are quite useful and widely used. I don't think they should be retired.

dregad

dregad

2016-08-14 06:48

developer   ~0053789

To show the current project, a filled cirlce is used. This is not visible
enough, for a big list of projects i cant quickly identify the selected project

+1

Maybe the currently selected project can simply be displayed in bold text ? I'm not sure having an icon on really adds much value. IMO it reduces the list's readability; suggest reverting to '»' (or something similar), just for sub-projects.

syncguru

syncguru

2016-09-17 15:25

developer   ~0054041

PR: https://github.com/mantisbt/mantisbt/pull/891

Related Changesets

MantisBT: master 35b21c34

2016-09-25 17:53:35

syncguru


Committer: vboctor Details Diff
Handle large # of projects in project selector

Fixes 0021121
mod - core/layout_api.php Diff File
mod - css/ace-mantis.css Diff File

Issue History

Date Modified Username Field Change
2016-06-15 12:11 atrol New Issue
2016-07-19 04:21 vboctor Target Version 2.0.0-beta.1 => 2.0.0-beta.2
2016-07-20 21:05 vboctor Tag Attached: modern-ui
2016-07-28 14:32 cproensa File Added: Selección_029.png
2016-07-28 14:32 cproensa Note Added: 0053721
2016-08-01 08:05 atrol Relationship added has duplicate 0021574
2016-08-13 12:17 syncguru Note Added: 0053780
2016-08-13 13:05 cproensa Note Added: 0053782
2016-08-13 13:46 syncguru Assigned To => syncguru
2016-08-13 13:46 syncguru Status new => assigned
2016-08-13 18:19 dregad Note Added: 0053786
2016-08-14 06:48 dregad Note Added: 0053789
2016-08-24 08:51 atrol Relationship added has duplicate 0021641
2016-08-28 10:36 atrol Target Version 2.0.0-beta.2 => 2.0.0-beta.3
2016-09-17 15:25 syncguru Note Added: 0054041
2016-09-25 17:54 vboctor Changeset attached => MantisBT master 35b21c34
2016-09-25 17:54 vboctor Assigned To syncguru => vboctor
2016-09-25 17:54 vboctor Status assigned => resolved
2016-09-25 17:54 vboctor Resolution open => fixed
2016-09-25 17:54 vboctor Fixed in Version => 2.0.0-beta.3
2016-09-25 18:38 vboctor Assigned To vboctor => syncguru
2016-10-02 18:41 vboctor Status resolved => closed
2016-10-05 11:53 dregad Relationship added related to 0021756
2016-10-06 11:33 atrol Relationship added has duplicate 0021767